Package org.eclipse.emf.cdo.explorer.checkouts

# Enum Class CDOCheckout.State

java.lang.Object
java.lang.Enum<CDOCheckout.State>
org.eclipse.emf.cdo.explorer.checkouts.CDOCheckout.State

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOCheckout.State>`, `java.lang.constant.Constable`

Enclosing interface:
  `CDOCheckout`

public static enum CDOCheckout.State extends Enum<CDOCheckout.State>
Enumerates the possible `states` of a `checkout`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Closed`
`Closing`
`Open`
`Opening`

## Method Summary

Modifier and Type
Method
Description
`static CDOCheckout.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCheckout.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Opening

public static final CDOCheckout.State Opening

### Open

public static final CDOCheckout.State Open

### Closing

public static final CDOCheckout.State Closing

### Closed

public static final CDOCheckout.State Closed

## Method Details

### values

public static CDOCheckout.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOCheckout.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null